Main Page Widgets Namespaces Book

# Glib::PropertyProxy_WriteOnly< T > Class Template Reference

Inheritance diagram for Glib::PropertyProxy_WriteOnly< T >:

[legend]
List of all members.

## Public Types
typedef T | PropertyType
## Public Methods
| PropertyProxy_WriteOnly (Object* obj, const char* name)
void | set_value (const PropertyType& data)
void | reset_value ()
PropertyProxy_WriteOnly<T>& | operator= (const PropertyType& data)

### template <class T>
class Glib::PropertyProxy_WriteOnly< T >

## Member Typedef Documentation

template <class T>
typedef T Glib::PropertyProxy_WriteOnly<T>::PropertyType

## Constructor & Destructor Documentation

template <class T>
Glib::PropertyProxy_WriteOnly<T>::PropertyProxy_WriteOnly | ( | Object* | obj,
|  | const char* | name
| ) | `[inline]`

## Member Function Documentation

template <class T>
PropertyProxy_WriteOnly<T>& Glib::PropertyProxy_WriteOnly<T>::operator= | ( | const PropertyType& | data | ) | `[inline]`

template <class T>
void Glib::PropertyProxy_WriteOnly<T>::reset_value | ( |  | ) | `[inline]`

template <class T>
void Glib::PropertyProxy_WriteOnly<T>::set_value | ( | const PropertyType& | data | ) | `[inline]`

The documentation for this class was generated from the following file:

- propertyproxy.h